# classes/phing/tasks/ext/pdepend/PhpDependLoggerElement.php

## \PhpDependLoggerElement
jump to top

Logger element for the PhpDependTask.

author
  Benjamin Schultz
package
  phing.tasks.ext.pdepend
since
  2.4.1
version
  $Id: PhpDependLoggerElement.php 755 2010-03-24 20:19:08Z bschultz $

### Properties

`\PhingFile $_outfile= 'null'`

Output file for logger.

Default value `null` Details

Type
  \PhingFile

`string $_type= ''`

The type of the logger.

Details

Type
  string

### Methods

`getOutfile( ) : \PhingFile`
Get the output file.
Returns

Type | Description
--- | ---
\PhingFile |

`getType( ) : string`
Get the logger type
Returns

Type | Description
--- | ---
string |

`setOutfile( \PhingFile $outfile ) : void`
Sets the output file for the logger results.
Parameters

Name | Type | Description
--- | --- | ---
$outfile | \PhingFile | The output file

`setType( string $type ) : void`
Sets the logger type.
Parameters

Name | Type | Description
--- | --- | ---
$type | string | Type of the logger

Documentation was generated by DocBlox 0.13.1.